Name: libsif
Version: 1.1
Release: 1880.1%{?dist}
Summary: Oracle Corporation PSIF Infiniband HCA user space driver

Group: System Environment/Libraries
License: BSD
Url: http://www.openfabrics.org/
Source: libsif-%{version}.tar.gz
BuildRequires: libibverbs-devel >= 1.1.8-1

%description
libsif provides a device-specific userspace driver for Oracle HCAs
for use with the libibverbs library.

%package devel
Summary: Development files for the libsif user space driver
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Provides: libibverbs-driver.%{_arch}

%description devel
libsif provides a device-specific userspace driver for Oracle
HCAs for use with the libibverbs library.

%prep
%setup -q

%build
%configure
make %{?_smp_flags}

%install
export DONT_STRIP=1
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{_libdir}/libsif.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libsif-rdmav2.so
%{_sysconfdir}/libibverbs.d/sif.driver
%doc AUTHORS COPYING README

%files devel
%defattr(-,root,root,-)
%{_libdir}/libsif*.a
%{_includedir}/infiniband/sif.h

%changelog
* Sun Oct 25 2016 Asmund Ostvold <asmund.ostvold@oracle.com> - 1.1-1880.1
- Fist release of libsif
